org.apache.log4j.spi

## Interface LoggerRepositoryEventListener

-     public interface LoggerRepositoryEventListener

  Interface used to listen for LoggerRepository related events such as startup, reset, and shutdown. Clients register an instance of the interface and the instance is called back when the various events occur. LoggerRepository provides methods for adding and removing LoggerRepositoryEventListener instances.
  Author:
    Ceki Gülcü, Mark Womack

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configurationChangedEvent(org.apache.log4j.spi.LoggerRepository repository)` Called when the repository configuration is changed.
    `void` | `configurationResetEvent(org.apache.log4j.spi.LoggerRepository repository)` Called when the repository configuration is reset.
    `void` | `shutdownEvent(org.apache.log4j.spi.LoggerRepository repository)` Called when the repository is shutdown.

- - ### Method Detail

    - #### configurationResetEvent

          void configurationResetEvent(org.apache.log4j.spi.LoggerRepository repository)

      Called when the repository configuration is reset.
      Parameters:
        `repository` - repository

    - #### configurationChangedEvent

          void configurationChangedEvent(org.apache.log4j.spi.LoggerRepository repository)

      Called when the repository configuration is changed.
      Parameters:
        `repository` - repository

    - #### shutdownEvent

          void shutdownEvent(org.apache.log4j.spi.LoggerRepository repository)

      Called when the repository is shutdown. When this method is invoked, the repository is still valid (ie it has not been shutdown, but will be after this method returns).
      Parameters:
        `repository` - repository.

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.